httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 37167] New: - make error: libtool: install: you must specify a destination
Date Wed, 19 Oct 2005 16:59:36 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=37167>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=37167

           Summary: make error: libtool: install: you must specify a
                    destination
           Product: Apache httpd-2.0
           Version: 2.0.54
          Platform: Other
        OS/Version: AIX
            Status: NEW
          Severity: normal
          Priority: P2
         Component: Other Modules
        AssignedTo: bugs@httpd.apache.org
        ReportedBy: pthakur@apsc.com


I am trying to compile mod_jk 1.2.14 using gcc 3.3.2 under AIX 5.3 for Apache 
2.0.54 and I get following results:

configure: no errors
make:  ends with error: 
     libtool: install: you must specify a destination
     make: 1254-004 The error code from the last command is 1.
make install: it does successfully create mod_jk.so in apsche2/modules folder

Is this a bug during make, should I ignore it?


-------- last few lines from 'make:---------
Target "all" is up to date.
Making all in apache-2.0
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=compile 
gcc -I/u01/app/arcims/apache2/include -g -O2 -DUSE_APACHE_MD5 -I ../common  -
I /include -I /include/unix -U__STR__ -D_THREAD_SAFE -D_USE_IRS -g -O2 -
pthread -DHAVE_APR  -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr/include -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr-util/include -g -O2 -g -O2 -pthread -U__STR__ -D_THREAD_SAFE -
D_USE_IRS -c mod_jk.c -o mod_jk.lo
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=link gcc -
I/u01/app/arcims/apache2/include -g -O2 -DUSE_APACHE_MD5 -I ../common  -
I /include -I /include/unix -U__STR__ -D_THREAD_SAFE -D_USE_IRS -g -O2 -
pthread -DHAVE_APR  -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr/include -I/u01/app/arcims/source/apache2/httpd-
2.0.54/srclib/apr-util/include -g -O2 -g -O2 -pthread -U__STR__ -D_THREAD_SAFE -
D_USE_IRS `/u01/app/arcims/apache2/bin/apxs -q LDFLAGS` -o mod_jk.la -module -
rpath /u01/app/arcims/apache2/modules -avoid-version 
mod_jk.lo ../common/jk_ajp12_worker.lo ../common/jk_connect.lo  ../common/jk_msg
_buff.lo ../common/jk_util.lo  ../common/jk_ajp13.lo ../common/jk_pool.lo  ../co
mmon/jk_worker.lo ../common/jk_ajp13_worker.lo  ../common/jk_lb_worker.lo ../com
mon/jk_sockbuf.lo  ../common/jk_map.lo ../common/jk_uri_worker_map.lo  ../common
/jk_ajp14.lo ../common/jk_ajp14_worker.lo  ../common/jk_md5.lo ../common/jk_shm.
lo   ../common/jk_ajp_common.lo ../common/jk_context.lo  ../common/jk_status.lo
	/bin/sh /u01/app/arcims/apache2/build/libtool --silent --mode=install 
cp  `pwd`/mod_jk.so
libtool: install: you must specify a destination
Try `libtool --help --mode=install' for more information.
make: 1254-004 The error code from the last command is 1.


Stop.
make: 1254-004 The error code from the last command is 1.


Stop.

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message